%define upstream_name Net-XMPP
%define upstream_version 1.05

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9
Summary:	XMPP Perl Library
License:	GPL or Artistic
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}/
Source:         http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		fix-testsuite.diff

# (tv) this causes testsuite faillures sometimes:
#BuildRequires:	perl(Devel::LeakGuard::Object)
BuildRequires:	perl(IO::Socket::SSL)
BuildRequires:	perl(LWP::Online)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(XML::Stream)
BuildArch:	    noarch


%description
Net::XMPP is a convenient tool to use for any perl script that would
like to utilize the XMPP Instant Messaging protocol.  While not a
client in and of itself, it provides all of the necessary back-end
functions to make a CGI client or command-line perl client feasible 
and easy to use.  Net::XMPP is a wrapper around the rest of the
official Net::XMPP::xxxxxx packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
# Cannot resolve hostnames in koji
%{?!_with_network_tests: rm t/roster.t t/gtalk.t t/memory_*.t }
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc CHANGES README
%{perl_vendorlib}/Net
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.50.0-9.mga8
+ Revision: 1496077
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.50.0-8.mga7
+ Revision: 1270199
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-7.mga6
+ Revision: 1031340
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 tv <tv> 1.50.0-6.mga6
+ Revision: 1007164
- disable network tests

* Thu Mar 31 2016 tv <tv> 1.50.0-5.mga6
+ Revision: 997201
- skip leak checking in testsuite as it sometimes failed

* Sat Feb 20 2016 umeabot <umeabot> 1.50.0-4.mga6
+ Revision: 972169
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 1.50.0-3.mga6
+ Revision: 896230
- fix testsuite

* Wed Oct 21 2015 tv <tv> 1.50.0-2.mga6
+ Revision: 893181
+ rebuild (emptylog)

* Sat Jun 27 2015 sander85 <sander85> 1.50.0-1.mga6
+ Revision: 845975
- update to 1.05

* Wed Oct 15 2014 umeabot <umeabot> 1.02-8.mga5
+ Revision: 746640
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.02-7.mga5
+ Revision: 685746
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.02-6.mga4
+ Revision: 513626
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.02-5.mga3
+ Revision: 370983
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.02-4.mga1
+ Revision: 30978
- mageia rebuild
- imported package perl-Net-XMPP


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.02-4mdv2010.1
+ Revision: 426560
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.02-3mdv2009.1
+ Revision: 351776
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.02-2mdv2009.0
+ Revision: 223930
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.02-1mdv2008.1
+ Revision: 140694
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2008.0
+ Revision: 46594
- switch to Module::Build
- update to new version 1.02


* Mon May 29 2006 Anssi Hannula <anssi@mandriva.org> 1.0-2mdv2007.0
- %%mkrel
- use better source url

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1mdk
- first mdk release (TODO: fix tests)

